EasyCwmp

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000068easycwmp[All Projects] Bugpublic2015-07-13 17:512015-10-05 14:37
Reportermohamed.kallel 
Assigned Tomohamed.kallel 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000068: build error (is_error() in json.c) when compiling with the last version of json-c
Descriptionis_error() function is a cause of a build error when compiling easycwmp with the last version of json-c
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000283)
mohamed.kallel (manager)
2015-09-30 18:54

in the old version of json. The is_error is defined in this way:

#define is_error(ptr) (ptr == NULL).

So we can remove the check of is_error in easycwmp
(0000289)
mohamed.kallel (manager)
2015-10-05 14:37

fixed in EasyCwmp-1.1.7

- Issue History
Date Modified Username Field Change
2015-07-13 17:51 mohamed.kallel New Issue
2015-09-30 18:54 mohamed.kallel Note Added: 0000283
2015-10-03 12:07 mohamed.kallel View Status private => public
2015-10-05 14:37 mohamed.kallel Note Added: 0000289
2015-10-05 14:37 mohamed.kallel Status new => resolved
2015-10-05 14:37 mohamed.kallel Resolution open => fixed
2015-10-05 14:37 mohamed.kallel Assigned To => mohamed.kallel


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker